Bug 163757 - Dia/evolution/redhat-update hangs cause no new windows
Dia/evolution/redhat-update hangs cause no new windows
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-20 16:37 EDT by Steve Wall
Modified: 2014-06-18 05:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 12:32:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xses from /tmp (2.47 KB, application/octet-stream)
2005-07-22 09:55 EDT, Steve Wall
no flags Details
xses from /tmp (2.98 KB, application/octet-stream)
2005-07-22 09:56 EDT, Steve Wall
no flags Details
/tmp/xses (2.98 KB, application/octet-stream)
2005-07-22 12:16 EDT, Steve Wall
no flags Details

  None (edit)
Description Steve Wall 2005-07-20 16:37:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
While using dia the application froze. I selected the "closed window". Received application not responding, force quit dialog. I selected force quit and the application terminated. After which I was unable to start any new applications. Couldn't bring up the desktop menu. Couldn't use the toolbars. The applications that were running still functioned. This also occurred using evolution. If evolution froze, it caused the same behavior after I killed evolution.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Run dia or evolution until it hangs.
2. Kill the app
3. Attempt to start another app.
  

Actual Results:  See description

Additional info:
Comment 1 Steve Wall 2005-07-21 10:08:37 EDT
It just happened again when I dismissed the redhat update window. The window
froze, I selected the "close" icon, received the window not responding dialog,
force quit. Brought up the desktop menu. Selected "open terminal" which froze
the desktop menu. Selected "Logout" from the toolbar, which froze the toolbar.
Comment 2 Caolan McNamara 2005-07-21 10:28:44 EDT
if it happens with dia and evolution it's probably a generic thing, and not
specific to either.
Comment 4 Ray Strode [halfline] 2005-07-21 16:27:16 EDT
Hmm.  Existing apps still work, just new ones won't start?

I wonder if it's something silly like running out of diskspace or something...
I've noticed before things seem to fall apart when that happens.

Do you have any files in /tmp that start with xses-{your username} ?  if so can
you attach them?
Comment 5 Steve Wall 2005-07-22 09:55:14 EDT
Created attachment 117058 [details]
xses from /tmp
Comment 6 Steve Wall 2005-07-22 09:56:08 EDT
Created attachment 117059 [details]
xses from /tmp
Comment 7 Steve Wall 2005-07-22 09:58:27 EDT
[swall@ptlinux tmp]$ df -k
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      25254236  19744492   4226880  83% /
/dev/hda2               101105     38332     57552  40% /boot
none                    516764         0    516764   0% /dev/shm
Comment 8 Steve Wall 2005-07-22 12:14:57 EDT
Happened again. This time I was saving an attachment from evolution. I navigated
to the directory I wanted to save in, clicked save and the save dialog froze.
I'm attaching the latest xses.
Comment 9 Steve Wall 2005-07-22 12:16:20 EDT
Created attachment 117071 [details]
/tmp/xses
Comment 10 Søren Sandmann Pedersen 2006-09-07 21:07:16 EDT
Does this still happen? 

If it does, could you try starting a new application from a terminal, and run it
under strace like this:

    strace -o logfile  gedit

then attach the logfile here.

Note You need to log in before you can comment on or make changes to this bug.